SDL_HINT_IME_INTERNAL_EDITING(3)

NAME
SDL_HINT_IME_INTERNAL_EDITING - A variable to control whether certain IMEs should handle text editing internally instead of sending SDL_EVENT_TEXT_EDITING
 events.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_IME_INTERNAL_EDITING SDL_IME_INTERNAL_EDITING"

DESCRIPTION
The variable can be set to the following values: • "0": SDL_EVENT_TEXT_EDITING
 events are sent,
  and it is the application's responsibility to render the text from these
  events and differentiate it somehow from committed text. (default) • "1": If supported by the IME then

SDL_EVENT_TEXT_EDITING
 events are not sent, and
  text that is being composed will be rendered in its own UI. This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.0.0.